Soucis APT-GET UPGRADE

Demande d'aide : c'est ici.
Répondre
Avatar du membre
Rorro
Membre
Membre
Messages : 25
Enregistré le : 17 janv. 2019, 11:05
Status : Hors ligne

17 janv. 2019, 11:06

Bonjour tous le monde, j'ai un problème pour faire la commande apt-get upgrade, il me sort :

Code : Tout sélectionner

ERR : 6 http://security.debian.org/debian-security stretch/updates/main amd64 libvlc5 amd64 3.0.6-0+deb9u1
    Somme de contrôle de hachage incohérente 
    Hashes of expected file : 
    etc..
Je ne comprend pas mon erreur ??
Dans mon dossier /etc/apt/sources.list j'ai mis :

Code : Tout sélectionner

deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main

deb http://security.debian.org/debian-security/ stretch/updates main
deb-src http://security.debian.org/debian-security/ stretch/updates main

J'ai aussi essayé :

Les dépôts officiels Debian Stretch :

Code : Tout sélectionner

deb http://deb.debian.org/debian/ stretch main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch main

# Debian Stretch, mises-à-jour de sécurité :
deb http://security.debian.org/ stretch/updates main contrib non-free
#deb-src http://security.debian.org/ stretch/updates main contrib non-free

# Debian Stretch, mises-à-jour "volatiles" :
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free
Mais toujours la même erreur, j'ai essayé la commande : rm /var/lib/apt/lists/* mais sa ne marche pas non plus..

Merci d'avance
Avatar du membre
lol
Membre hyper actif
Membre hyper actif
Messages : 2940
Enregistré le : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors ligne

17 janv. 2019, 14:17

Salut et bienvenu sur le forum,
C'est relativement "fréquent" comme problème, il n'y a pas d'erreur de ta part, c'est juste le mécanisme qui déraille parfois...
Essaye les solution suivantes:

1) Nettoyage:
# apt-get clean && apt-get autoclean
# apt-get update

2) Effacer les listes de paquets

Code : Tout sélectionner

# rm /var/lib/apt/lists/*
# rm /var/lib/apt/lists/partial/*
# apt-get update
3) Changer de miroir (Mais dans ton cas j'ai peur que ça ne serve à rien puisqu'il semblerait que ce soit le dépôt "security" qui est en cause.

Code : Tout sélectionner

deb http://ftp.fr.debian.org/debian stretch main contrib non-free
deb http://ftp.fr.debian.org/debian stretch-updates main contrib non-free
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
4) Attend demain et recommence... :wink:
Debian SID. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Générateur de sources.list!
Avatar du membre
Rorro
Membre
Membre
Messages : 25
Enregistré le : 17 janv. 2019, 11:05
Status : Hors ligne

21 janv. 2019, 11:05

Re, merci de ton message. Le problème venait surement de mon installation car du coup j'ai fait une réinstallation debian 9 et tout a fonctionné, encore merci !
Avatar du membre
lol
Membre hyper actif
Membre hyper actif
Messages : 2940
Enregistré le : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors ligne

21 janv. 2019, 13:39

Salut,
Rorro a écrit :
21 janv. 2019, 11:05
Le problème venait surement de mon installation
Surement pas!
Rorro a écrit :
21 janv. 2019, 11:05
j'ai fait une réinstallation debian 9 et tout a fonctionné
A priori aucun rapport...
L'erreur Somme de contrôle de hachage incohérente est fréquente et ne se règle JAMAIS par une réinstallation! :diablo:

Rorro a écrit :
21 janv. 2019, 11:05
encore merci
De rien. J'aurais préféré que tu suive mes conseils tu aurais appris bien plus. :wink:
Debian SID. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Générateur de sources.list!
Avatar du membre
Rorro
Membre
Membre
Messages : 25
Enregistré le : 17 janv. 2019, 11:05
Status : Hors ligne

22 janv. 2019, 08:55

Oui c'est sur qu'on apprend plus en essayant mais le problème est que c'est un projet et que je suis limité dans le temps ^^"
Répondre